# SplFileInfo::getType

(PHP 5 >= 5.1.2, PHP 7)

SplFileInfo::getType — Gets file type

### Description

public SplFileInfo::getType ( void ) : string

Returns the type of the file referenced.

### Parameters

This function has no parameters.

### Return Values

A string representing the type of the entry. May be one of file, link, or dir

### Errors/Exceptions

Throws a RuntimeException on error.

### Examples

Example #1 SplFileInfo::getType() example

`<?php
$info = new SplFileInfo(__FILE__);
echo $info->getType().PHP_EOL;
$info = new SplFileInfo(dirname(__FILE__));
echo $info->getType();
?>`

The above example will output something similar to:

    file
    dir